org.apache.http.impl.nio.codecs

## Class DefaultHttpRequestWriter

- java.lang.Object
- - org.apache.http.impl.nio.codecs.AbstractMessageWriter<HttpRequest>
  - - org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter

All Implemented Interfaces:
  NHttpMessageWriter<HttpRequest>

    @NotThreadSafe
    public class DefaultHttpRequestWriter
    extends AbstractMessageWriter<HttpRequest>

Default `NHttpMessageWriter` implementation for `HttpRequest`s.

Since:
  4.1

### Field Summary

### Fields inherited from class org.apache.http.impl.nio.codecs.AbstractMessageWriter

`lineBuf, lineFormatter, sessionBuffer`

### Constructor Summary

Constructors
Constructor and Description
`DefaultHttpRequestWriter(SessionOutputBuffer buffer)`
`DefaultHttpRequestWriter(SessionOutputBuffer buffer, LineFormatter formatter)` Creates an instance of DefaultHttpRequestWriter.
`DefaultHttpRequestWriter(SessionOutputBuffer buffer, LineFormatter formatter, HttpParams params)` Deprecated. (4.3) use `DefaultHttpRequestWriter(SessionOutputBuffer, LineFormatter)`

### Method Summary

Methods
`protected void` `writeHeadLine(HttpRequest message)` Writes out the first line of `HttpMessage`.

### Methods inherited from class org.apache.http.impl.nio.codecs.AbstractMessageWriter

`reset, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultHttpRequestWriter

    @Deprecated
    public DefaultHttpRequestWriter(SessionOutputBuffer buffer,
                                       LineFormatter formatter,
                                       HttpParams params)

Deprecated. (4.3) use `DefaultHttpRequestWriter(SessionOutputBuffer, LineFormatter)`

#### DefaultHttpRequestWriter

    public DefaultHttpRequestWriter(SessionOutputBuffer buffer,
                            LineFormatter formatter)

Creates an instance of DefaultHttpRequestWriter.

Parameters:
  `buffer` - the session output buffer.
  `formatter` - the line formatter If `null` `BasicLineFormatter.INSTANCE` will be used.
Since:
  4.3

#### DefaultHttpRequestWriter

    public DefaultHttpRequestWriter(SessionOutputBuffer buffer)

Since:
  4.3

### Method Detail

#### writeHeadLine

    protected void writeHeadLine(HttpRequest message)
                          throws IOException

Description copied from class: `AbstractMessageWriter`
Writes out the first line of `HttpMessage`.

Specified by:
  `writeHeadLine` in class `AbstractMessageWriter<HttpRequest>`
Parameters:
  `message` - HTTP message.
Throws:
  `IOException`